package com.ycwl.basic.model.pc.broker.resp;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 14:24
 */
@Data
public class BrokerRespVO {
    private Long id;
    private Long scenicId;
    private String scenicName;
    @ApiModelProperty("推客名称")
    private String name;
    private String phone;
    @ApiModelProperty("状态，0禁用，1启用")
    private Integer brokerEnable;
    private BigDecimal brokerRate;
    private Integer status;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createAt;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateAt;

    private Long brokerScanCount;
    private Long brokerOrderCount;
    private BigDecimal brokerOrderAmount;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date firstBrokerDate;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastBrokerDate;
}
